Bug 132745 - The pdftops filter incorrectly auto-rotated pages when the user already had specified the proper orientation
The pdftops filter incorrectly auto-rotated pages when the user already had s...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: 659373
  Show dependency treegraph
Reported: 2004-09-16 13:00 EDT by Ernie Joynt
Modified: 2010-12-02 11:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 659373 (view as bug list)
Last Closed: 2005-07-20 11:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ernie Joynt 2004-09-16 13:00:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:
Using a RHEL 3 ES system as a central CUPS print server.  When a user
printing from a Mac OS X client sets a document to landscape and
prints it, the output is incorrectly rotated on the output page.  The
Mac OS X printing system sends PDF to the print server, then cups uses
the pdftops print filter to process, then pstops print filter is used.
 Both of which are putting rotate directives in the postscript that is
sent to the printer. This bug has been identified by the cups
development team as STR #207 and fixed in CUPS v1.1.20rc1. 


A quick but temporary fix for us was to take the pdftops filter
program from a Fedore Core 2 install using cups-1.1.20-6 and put it at
/usr/lib/cups/filter/pdftops.  We don't want to use the Fedora 2 rpms
becuase we are relying on RHN for updates.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. on a Mac OS X client in TextEdit create a document 
2. set page orientation to landscape
3. print

Actual Results:  the printed text is in landscape orientation but the
paper is in portrait orientation.  The printed text is at 90 degrees
to the page orientation:

|text is here
|       |
|       |
|       |

Expected Results:  the printed text should be properly aligned with
the page orientation in landscape mode.

|text is here |
|             |
|             |

Additional info:
Comment 1 Ernie Joynt 2005-07-14 15:02:52 EDT
Is this going to be resolved soon? 
Comment 5 Tim Waugh 2005-07-20 11:42:27 EDT
It isn't at all clear what the correct fix is for this.  The suggested change in
the STR is not what was actually implemented in 1.1.20rc1 -- and those changes
are rather more extensive.

This seems like quite a risky change to introduce into RHEL3 I'm afraid.

Note You need to log in before you can comment on or make changes to this bug.